#include <iostream>

using namespace std;

int main()
{
    int N,L;
    cin >> N >> L;
    int H;
    int n=1;
    for(int i = 0;i<N;i++)
    {
        cin >> H;

        //cout << "H je " << H << ", L je " << L << ",a n je " << n << endl;
        if(L>=H) cout << n << endl;
        n++;
    }
    cout << "-1";

    return 0;
}